"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isInIframe = void 0;
const sdkDappCore_1 = require("../../lib/sdkDappCore");
const isInIframe = () => {
    if (!('location' in sdkDappCore_1.safeWindow)) {
        // no window available
        return true;
    }
    try {
        return sdkDappCore_1.safeWindow.self !== sdkDappCore_1.safeWindow.top;
    }
    catch (e) {
        return true;
    }
};
exports.isInIframe = isInIframe;
//# sourceMappingURL=isInIFrame.js.map